bool.cpp File Reference
`#include "test/int.hh"`
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Classes

class | Test::Int::Bool::BinXYZ
| Test for binary Boolean operation More...
class | Test::Int::Bool::BinXXY
| Test for binary Boolean operation with shared variables More...
class | Test::Int::Bool::BinXYX
| Test for binary Boolean operation with shared variables More...
class | Test::Int::Bool::BinXYY
| Test for binary Boolean operation with shared variables More...
class | Test::Int::Bool::BinXXX
| Test for binary Boolean operation with shared variables More...
class | Test::Int::Bool::BinConstXY
| Test for binary Boolean operation with constant More...
class | Test::Int::Bool::BinConstXX
| Test for binary Boolean operation with shared variables and constant More...
class | Test::Int::Bool::Nary
| Test for Nary Boolean operation More...
class | Test::Int::Bool::NaryShared
| Test for Nary Boolean operation More...
class | Test::Int::Bool::NaryConst
| Test for Nary Boolean operation with constant More...
class | Test::Int::Bool::ClauseXYZ
| Test for Clause Boolean operation More...
class | Test::Int::Bool::ClauseXXYYX
| Test for Clause Boolean operation More...
class | Test::Int::Bool::ClauseXXY
| Test for Clause Boolean operation More...
class | Test::Int::Bool::ClauseConst
| Test for Clause Boolean operation with constant More...
class | Test::Int::Bool::ITEInt
| Test for if-then-else-constraint More...
class | Test::Int::Bool::ITEBool
| Test for if-then-else-constraint More...
class | Test::Int::Bool::Create
| Help class to create and register tests. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::Bool
| Tests for Boolean constraints

## Functions

int | Test::Int::Bool::check (int x0, Gecode::BoolOpType op, int x1)

## Variables

Create | Test::Int::Bool::c
ITEInt | Test::Int::Bool::itebnd (Gecode::IPL_BND)
ITEInt | Test::Int::Bool::itedom (Gecode::IPL_DOM)
ITEBool | Test::Int::Bool::itebool